Create a new persona
curl --request POST \
--url https://api.waterr.ai/v1/personas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"job_title": "<string>",
"voice_id": "<string>",
"background": "<string>",
"avatar": "<string>",
"avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gender": "<string>"
}
'import requests
url = "https://api.waterr.ai/v1/personas"
payload = {
"name": "<string>",
"job_title": "<string>",
"voice_id": "<string>",
"background": "<string>",
"avatar": "<string>",
"avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gender": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
job_title: '<string>',
voice_id: '<string>',
background: '<string>',
avatar: '<string>',
avatar_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
gender: '<string>'
})
};
fetch('https://api.waterr.ai/v1/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"job_title": "<string>",
"voice_id": "<string>",
"user_basic_info_id": "<string>",
"demeanor": "<string>",
"background": "<string>",
"avatar": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Personas
Create a new persona
POST
/
personas
Create a new persona
Authorizations
API key from waterr.ai/settings?tab=api-keys. Send as Authorization: Bearer wai_<your_key>.
Body
application/json
Name of the persona
Maximum string length:
100Job title of the persona
Maximum string length:
100ID of the voice associated with the persona
The personality style of the persona
Available options:
friendly, analytical, empathetic, curious, enthusiastic, critical, casual, blunt, assertive, neutral Detailed background information about the persona
Raw URL to the persona's avatar image. Prefer avatar_id for catalog avatars.
Maximum string length:
255ID of an avatar from GET /avatars. Takes precedence over avatar; the avatar's URL is copied into the persona automatically.
Persona gender (used for voice/avatar defaults).
⌘I

